import { l as languages } from "../../index-SjNLqops.js";
import { c as clikeComment, b as clikeString, d as boolean, e as clikeNumber, a as clikePunctuation } from "../../patterns-BwNIoKDQ-7q0F7uHy.js";
languages.clike = {
  "comment": clikeComment(),
  "string": clikeString(),
  "class-name": {
    pattern: /(\b(?:class|extends|implements|instanceof|interface|new|trait)\s+|\bcatch\s+\()[\w.\\]+/i,
    lookbehind: true,
    inside: {
      "punctuation": /[.\\]/
    }
  },
  "keyword": /\b(?:break|catch|continue|do|else|finally|for|function|if|in|instanceof|new|null|return|throw|try|while)\b/,
  "boolean": boolean,
  "function": /\b\w+(?=\()/,
  "number": clikeNumber,
  "operator": /[!=]==|[!=<>]=?|--?|\+\+?|&&?|\|\|?|[?*/~^%]/,
  "punctuation": clikePunctuation
};
//# sourceMappingURL=clike.js.map
